#
# spec file for package openusb
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           openusb
Version:        1.1.11
Release:        2.1
Summary:        A multithread-safe variant of libusb
License:        LGPL-2.0
Group:          Development/Libraries/C++
Url:            http://openusb.sourceforge.net/
Source:         libopenusb-%{version}.tar.gz
Patch0:         fix_library_names.patch
Patch1:         fix_fsf_address.patch
Patch2:         fix_inline_functions.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  udev
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libusb)
BuildRequires:  pkgconfig(libusb-1.0)
Requires:       udev

%description
OpenUSB is a fork of the libusb 1.0 library for raw access to USB 
devices. It's the same as libusb, but with multi-thread safety.

%package -n libopenusb0
Summary:        A multithread-safe variant of libusb
Group:          System/Libraries

%description -n libopenusb0
This package contains the library files for MT-safe libusb.

%package devel
Summary:        Development files for libopenusb, a MT-safe variant of libusb
Group:          Development/Libraries/C and C++

%description devel
Development files for MT-safe libopenusb.

%prep
%setup -q -n libopenusb-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p0

%build
autoreconf -vfi
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} %{?_smp_mflags}

find %{buildroot} -name *la -exec rm {} \;

%post -n libopenusb0 -p /sbin/ldconfig

%postun -n libopenusb0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING LICENSE ChangeLog NEWS README

%files -n libopenusb0
%{_libdir}/libopenusb.so*
%dir %{_libdir}/openusb_backend
%{_libdir}/openusb_backend/linux.so

%files devel
%defattr(-,root,root)
%{_bindir}/openusb-config
%{_includedir}/openusb.h
%dir %{_libdir}/openusb_backend

%changelog
* Mon Mar  6 2017 erico.mendonca@suse.com
- Repackaging according to OBS guidelines.
* Wed Jan 18 2017 erico.mendonca@suse.com
- fix_inline_functions.patch: fix inline function errors in newer GCCs.
* Mon Dec 26 2016 erico.mendonca@suse.com
- Initial version based on 1.11.1.
- fix_library_names.patch: fix libusb library name to SUSE naming.
- fix_fsf_address.patch: Updates the FSF address on LICENSE and COPYING files.
